<?
if (!defined('_GNUBOARD_')) exit;

include_once("$g4[path]/lib/outlogin.lib.php");
include_once("$g4[path]/lib/poll.lib.php");
include_once("$g4[path]/lib/visit.lib.php");
include_once("$g4[path]/lib/connect.lib.php");
include_once("$g4[path]/lib/popular.lib.php");
include_once("$g4[path]/lib/latest.lib.php");

// 템플릿 추출
function templete($skin_dir="")
{
    global $g4, $gr_id, $is_admin, $bo_table, $stx, $sfl, $sop, $skin_outlogin, $skin_visit, $skin_connect, $skin_poll, $home_align, $home_width, $home_left, $home_right, $home_margin, $home_name, $config, $member;

    if ($skin_dir)
        $templete_skin_path = "$g4[path]/skin/22cafe/$skin_dir";
    else
        $templete_skin_path = "$g4[path]/skin/22cafe/basic";

	ob_start();
    include "$templete_skin_path/templete.php";
    $content = ob_get_contents();
    ob_end_clean();

    return $content;
}
?>
